
QGIS Application - Bug report #18696

libdxfrw doesn’t honor the "DEBUG" flag

2018-04-10 05:08 PM - vince -

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DWG/DXF import

Affected QGIS version:3.1(master) Regression?: No

Operating System: MacOS Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26584

Description

Libdxfrw uses DEBUG as a symbolic name for an enum, which causes a conflict when doing a DEBUG type build of Qgis.

That DEBUG value should be replaced by anything else, e.g. DBG or DEBUG1, w/e

Related issues:

Duplicated by QGIS Application - Bug report # 18698: qgsgml.cpp and gdal 2.4.... Closed 2018-04-10

History

#1 - 2018-04-11 11:47 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:222e45b838ebf8a2df43c6ef888047182fba5cb2

#2 - 2018-04-11 11:48 PM - Jürgen Fischer

- Duplicated by Bug report #18698: qgsgml.cpp and gdal 2.4.4 incompatibility? (DEBUG build) added
